---
title: String.prototype.padEnd()
slug: Web/JavaScript/Reference/Global_Objects/String/padEnd
tags:
  - JavaScript
  - Method
  - Prototype
  - Reference
  - String
---
<div>{{JSRef}}</div>

<p>The <strong><code>padEnd()</code></strong> method pads the current string with a given string (repeated, if needed) so that the resulting string reaches a given length. The padding is applied from the end of the current string.</p>

<div>{{EmbedInteractiveExample("pages/js/string-padend.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>str</var>.padEnd(<var>targetLength</var> [, <var>padString</var>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>targetLength</var></code></dt>
 <dd>The length of the resulting string once the current <code><var>str</var></code> has been padded. If the value is lower than <code><var>str.</var>length</code>, the current string will be returned as-is.</dd>
 <dt><code><var>padString</var></code> {{optional_inline}}</dt>
 <dd>The string to pad the current <code><var>str</var></code> with. If <code><var>padString</var></code> is too long to stay within <code><var>targetLength</var></code>, it will be truncated: for left-to-right languages the left-most part and for right-to-left languages the right-most will be applied. The default value for this parameter is "<code> </code>" (<code>U+0020</code>).</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("String")}} of the specified <code><var>targetLength</var></code> with the <code><var>padString</var></code> applied at the end of the current <code><var>str</var></code>.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_padEnd">Using padEnd</h3>

<pre class="brush: js notranslate">'abc'.padEnd(10);          // "abc       "
'abc'.padEnd(10, "foo");   // "abcfoofoof"
'abc'.padEnd(6, "123456"); // "abc123"
'abc'.padEnd(1);           // "abc"</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-string.prototype.padend', 'String.prototype.padEnd')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("javascript.builtins.String.padEnd")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("String.prototype.padStart()")}}</li>
</ul>
